org.eclipse.modisco.kdm.source.extension.ui.utils

## Class BrowseCodeUtils

- java.lang.Object
- - org.eclipse.modisco.kdm.source.extension.ui.utils.BrowseCodeUtils

    public final class BrowseCodeUtils
    extends java.lang.Object

### Field Summary

Fields
`static boolean` `DEBUG`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `openAndSelectEObjectInSourceFile(EObject eObject)` Add an adapter to the selection and try to open correponding file and select the piece of code

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEBUG

    public static final boolean DEBUG

### Method Detail

#### openAndSelectEObjectInSourceFile

    public static void openAndSelectEObjectInSourceFile(EObject eObject)

Add an adapter to the selection and try to open correponding file and select the piece of code

Parameters:
  `eObject` - the selected object to be opened